Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils.impl
Class AttachmentMarshallerImpl

    java.lang.Object
      javax.xml.bind.attachment.AttachmentMarshaller
          be.ehealth.technicalconnector.utils.impl.AttachmentMarshallerImpl

    public class AttachmentMarshallerImpl

extends AttachmentMarshaller

JAXB Marshaller that handles the attachments. Implementation of `AttachmentMarshaller`

Constructor Summary
`AttachmentMarshallerImpl(boolean xop)`
`AttachmentMarshallerImpl(boolean xop, int threshold)`

Method Summary
`String` | `addMtomAttachment(byte[] data, int offset, int length, String mimeType, String elementNamespace, String elementLocalName)`
`String` | `addMtomAttachment(DataHandler data, String elementNamespace, String elementLocalName)`
`String` | `addSwaRefAttachment(DataHandler data)`
`Map<String,DataHandler>` | `getDataHandlerMap()`
`boolean` | `isXOPPackage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentMarshallerImpl

    public AttachmentMarshallerImpl(boolean xop)

Parameters:
  `xop` - boolean the determine is the marshaller must handle xop (XML-binary Optimized Packaging).

### AttachmentMarshallerImpl

    public AttachmentMarshallerImpl(boolean xop,
                                    int threshold)

Parameters:
  `xop` - boolean the determine is the marshaller must handle xop (XML-binary Optimized Packaging).
  `threshold` - if XML-binary Optimized Packaging is used

Method Detail

### getDataHandlerMap

    public Map<String,DataHandler> getDataHandlerMap()

### addMtomAttachment

    public String addMtomAttachment(DataHandler data,
                                    String elementNamespace,
                                    String elementLocalName)

  Specified by:
    `addMtomAttachment` in class `AttachmentMarshaller`

### addMtomAttachment

    public String addMtomAttachment(byte[] data,
                                    int offset,
                                    int length,
                                    String mimeType,
                                    String elementNamespace,
                                    String elementLocalName)

  Specified by:
    `addMtomAttachment` in class `AttachmentMarshaller`

### addSwaRefAttachment

    public String addSwaRefAttachment(DataHandler data)

  Specified by:
    `addSwaRefAttachment` in class `AttachmentMarshaller`

### isXOPPackage

    public boolean isXOPPackage()

  Overrides:
    `isXOPPackage` in class `AttachmentMarshaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.